Skip to content

job/edit

Updates an existing job.

Method and path

POST /job/edit/{job_id}

Authentication

Authentication is required. See Authentication.

Permissions

Admin and superuser users can edit jobs.

Other authenticated users are also allowed when they can view at least one project linked to the target job.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Path parameters

ParameterTypeRequiredDescription
job_idintegeryesJob identifier.

Request body

FieldTypeRequiredDescription
typestringnoJob type code.
labelstringnoJob label.
activebooleannoActive state.
freqintegernoExecution interval in seconds.
notesstringnoFree-text notes.
searchstringnoSearch string.
searchLangstringnoSearch language code.
searchJsonobjectnoStructured search object used by composed search platforms.
optionsobjectnoAdditional options, including platform-specific settings.
projectsarray<integer>noFull replacement list of linked project ids.
limitedbooleannoLimited-mode flag. Backend rules can override this value.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/job/edit/<job_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "label": "Example Job",
    "type": "nftw",
    "active": true,
    "freq": "<frequency_seconds>"
  }'
json
{
  "label": "Example Job",
  "type": "nftw",
  "active": true,
  "freq": "<frequency_seconds>",
  "notes": "Example notes",
  "searchJson": {
    "all": "\"example phrase\"",
    "authors": "example_account"
  },
  "options": {},
  "projects": ["<project_id>"]
}

Example response

json
{
  "id": "<job_id>",
  "label": "Example Job",
  "type": "nftw",
  "freq": "<frequency_seconds>",
  "notes": "Example notes",
  "lastrun": "<unix_timestamp_or_null>",
  "active": true,
  "limited": false,
  "searchLang": "<language_code_or_null>",
  "search": "<search_string_or_json>",
  "options": {},
  "toRestart": null,
  "efficiency": null,
  "projects": ["<project_id>"]
}

Notes

  • The endpoint dequeues the job before saving changes.
  • If the saved job is active, it is enqueued again after the update.

Doc rev.1.12.3 2026.05.08